package cn.com.infosec.mobile.android;

import android.support.annotation.Keep;
import android.support.annotation.NonNull;
import android.text.TextUtils;
import android.util.Base64;
import cn.com.infosec.mobile.android.result.Result;

@Keep
public class InfosecUtils {
   @Keep
   public static void deriveKeyFromPlain(@NonNull String plain, @NonNull int keySize, Result.ResultListener resultListener) {
      if (TextUtils.isEmpty(plain) || keySize == 0) {
         Result var3;
         var3 = new Result.<init>("IE1013");
         resultListener.handleResult(var3);
      }

      plain = Base64.encodeToString(deriveKeyFromPlainNative(plain.getBytes(), keySize), 2);
      resultListener.handleResult(new Result("000000", plain));
   }

   @Keep
   public static native byte[] deriveKeyFromPlainNative(byte[] var0, int var1);
}
